﻿var topicHandler = {
    init: function () {
        this.loadTopicsList();
    },

    loadTopicsList: function () {
        var $list = $(".topics-list-left ul");
        $list.empty();
        $.getJSON("../__template__/json/topic.json", function (json) {
            var storyTopic = commonHandler.getStoryTopic(json, topicId);
            if (storyTopic) {
                $(".content-title").html(storyTopic.text);
                var siblings = commonHandler.getStoryTopicSiblings(json, storyTopic.parent);

                $.each(siblings, function (i, item) {
                    var active;
                    if (item.id === topicId)
                        active = " class='active'";
                    else
                        active = "";

                    $list.append("<li" + active + "><a data-guid='" + item.id + "' href='" + item.url + "'>" + item.text + "</a></li>")
                });


                var $cList = $(".subtopics-list ul");
                $cList.empty();
                var childs = commonHandler.getStoryTopicChilds(json, topicId);
                if (childs && childs.length) {
                    $.each(childs, function (i, item) {
                        $cList.append("<li><a data-guid='" + item.id + "' href='" + item.url + "'>" + item.text + "</a></li>")
                    });
                }
                else
                    $(".subtopics-list").hide();


                var $tagsList = $(".topic-tags ul");
                $tagsList.empty();
                var itm = commonHandler.getStoryTopic(json, topicId);
                if (itm && itm.tags) {
                    var tags = itm.tags.split(",");

                    $.each(tags, function (i, item) {
                        $tagsList.append("<li><i class='glyphicon glyphicon-tag'/>" + item + "</li>")
                    });
                }
                else
                    $(".topic-tags").hide();
            }

            commonHandler.loadBreadcrumb(json, topicId);
        });
    },
};

$(function () {
    topicHandler.init();
});